package com.chinacreator.video.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 腾讯20元活动
 * @author yu.su
 * @date 20200729
 */
@Component
public interface ReturnActiDao {

	/**
	 * 获取活动资格名单
	 * @param userid
	 * @return
	 */
	List<Map<String, Object>> findByPhone(@Param("userid") String userid, @Param("spid") String spid, @Param("cpid") String cpid, @Param("startTime") String startTime, @Param("endTime") String endTime);

	List<Map<String, Object>> findOrderCoode(@Param("userid") String userid, @Param("spid") String spid, @Param("cpid") String cpid);

	List<Map<String, Object>> findByUser(@Param("userid") String userid, @Param("spid") String spid, @Param("cpid") String cpid);

	/**
	 * 插入已领取名单
	 * @param map
	 */
	void insertActivity(Map<String, Object> map);


    List<Map<String, Object>> findByPhoneKs(@Param("userid") String userid, @Param("spid") String spid, @Param("cpid") String cpid);

    List<Map<String, Object>> findByPhoneBilibl(@Param("userid") String userid, @Param("spid") String spid, @Param("cpid") String cpid);
}
